> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ezyshield.com.au/llms.txt
> Use this file to discover all available pages before exploring further.

# List all invoices

> Requires the `invoice:read` ability.



## OpenAPI

````yaml /api-reference/api.json get /invoices
openapi: 3.1.0
info:
  title: ezyshield
  version: 0.0.1
servers:
  - url: https://app.ezyshield.com.au/api
    description: Production
  - url: https://sandbox.ezyshield.com.au/api
    description: Sandbox
security:
  - http: []
tags:
  - name: Organizations
  - name: API Keys
  - name: Verifications
  - name: Checks
  - name: ABA checks
  - name: Invoices
  - name: Webhook Subscriptions
  - name: Webhook Events
paths:
  /invoices:
    get:
      tags:
        - Invoices
      summary: List all invoices
      description: Requires the `invoice:read` ability.
      operationId: invoices.index
      parameters:
        - name: sort
          in: query
          description: >-
            Available sorts are `created_at`, `updated_at`, `status`. You can
            sort by multiple options by separating them with a comma. To sort in
            descending order, use `-` sign in front of the sort, for example:
            `-created_at`.
          schema:
            type: string
            default: '-created_at'
        - name: page[size]
          in: query
          description: The number of results that will be returned per page.
          schema:
            type: integer
            default: 10
        - name: page[number]
          in: query
          description: The page number to start the pagination from.
          schema:
            type: integer
        - name: fields[invoices]
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - status
                - source
                - original_file_name
                - extracted_business_name
                - extracted_business_abn
                - extracted_account_name
                - extracted_account_number
                - extracted_account_bsb
                - extracted_invoice_number
                - created_at
                - updated_at
          explode: false
        - name: filter[status]
          in: query
          description: Filter by invoice status.
          schema:
            $ref: '#/components/schemas/InvoiceStatus'
            examples:
              - processed
        - name: filter[created_at_start]
          in: query
          description: Filter invoices created on or after this datetime.
          schema:
            type: string
            format: date-time
            examples:
              - '2026-04-01T00:00:00Z'
        - name: filter[created_at_end]
          in: query
          description: Filter invoices created on or before this datetime.
          schema:
            type: string
            format: date-time
            examples:
              - '2026-04-30T23:59:59Z'
      responses:
        '200':
          description: Paginated set of `InvoiceResource`
          content:
            application/vnd.api+json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/InvoiceResource'
                  links:
                    type: object
                    properties:
                      first:
                        type:
                          - string
                          - 'null'
                      last:
                        type:
                          - string
                          - 'null'
                      prev:
                        type:
                          - string
                          - 'null'
                      next:
                        type:
                          - string
                          - 'null'
                    required:
                      - first
                      - last
                      - prev
                      - next
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        minimum: 1
                      from:
                        type:
                          - integer
                          - 'null'
                        minimum: 1
                      last_page:
                        type: integer
                        minimum: 1
                      links:
                        type: array
                        description: Generated paginator links.
                        items:
                          type: object
                          properties:
                            url:
                              type:
                                - string
                                - 'null'
                            label:
                              type: string
                            active:
                              type: boolean
                          required:
                            - url
                            - label
                            - active
                      path:
                        type:
                          - string
                          - 'null'
                        description: Base path for paginator generated URLs.
                      per_page:
                        type: integer
                        description: Number of items shown per page.
                        minimum: 0
                      to:
                        type:
                          - integer
                          - 'null'
                        description: Number of the last item in the slice.
                        minimum: 1
                      total:
                        type: integer
                        description: Total number of items being paginated.
                        minimum: 0
                    required:
                      - current_page
                      - from
                      - last_page
                      - links
                      - path
                      - per_page
                      - to
                      - total
                required:
                  - data
                  - links
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
components:
  schemas:
    InvoiceStatus:
      type: string
      enum:
        - queued
        - reading
        - processed
        - failed
        - invalid
      title: InvoiceStatus
    InvoiceResource:
      type: object
      properties:
        id:
          type: string
          format: uuid
        type:
          type: string
          const: invoices
        attributes:
          type: object
          properties:
            status:
              type: string
              description: The status of the invoice.
            source:
              type: string
              description: How the invoice was created (dashboard, email, or api).
            original_file_name:
              type: string
              description: The original file name of the uploaded invoice.
            extracted_business_name:
              type: string
              description: Extracted supplier business name.
            extracted_business_abn:
              type: string
              description: Extracted supplier ABN.
            extracted_account_name:
              type: string
              description: Extracted bank account name.
            extracted_account_number:
              type: string
              description: Extracted bank account number.
            extracted_account_bsb:
              type: string
              description: Extracted bank account BSB.
            extracted_invoice_number:
              type: string
              description: Extracted invoice number.
            created_at:
              type: string
              description: ISO 8601 formatted date-time.
            updated_at:
              type: string
              description: ISO 8601 formatted date-time.
      required:
        - id
        - type
      title: InvoiceResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer

````